[v6,25/28] package/qt5webengine: Add optional dependency on qt5location
diff mbox series

Message ID 20200217212350.29750-26-anaumann@ultratronik.de
State New
Headers show
Series
  • Qt5 qmake infra and per-package compatibility
Related show

Commit Message

Andreas Naumann Feb. 17, 2020, 9:23 p.m. UTC
the webenginewidgets maps example depends on it

Signed-off-by: Andreas Naumann <anaumann@ultratronik.de>
---
 package/qt5/qt5webengine/qt5webengine.mk | 5 +++++
 1 file changed, 5 insertions(+)

Patch
diff mbox series

diff --git a/package/qt5/qt5webengine/qt5webengine.mk b/package/qt5/qt5webengine/qt5webengine.mk
index c27bf85908..e0b39c354f 100644
--- a/package/qt5/qt5webengine/qt5webengine.mk
+++ b/package/qt5/qt5webengine/qt5webengine.mk
@@ -46,6 +46,11 @@  ifeq ($(BR2_PACKAGE_QT5QUICKCONTROLS2),y)
 QT5WEBENGINE_DEPENDENCIES += qt5quickcontrols2
 endif
 
+ifeq ($(BR2_PACKAGE_QT5LOCATION),y)
+QT5WEBENGINE_DEPENDENCIES += qt5location
+endif
+
+
 # QtWebengine's build system uses python, but only supports python2. We work
 # around this by forcing python2 early in the PATH, via a python->python2
 # symlink.